Bug 1481594 - Review request: Karbor
Summary: Review request: Karbor
Keywords:
Status: NEW
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-PIKE
TreeView+ depends on / blocked
 
Reported: 2017-08-15 07:07 UTC by Jeremy Liu
Modified: 2019-07-31 13:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Jeremy Liu 2017-08-15 07:07:12 UTC

Comment 1 Jeremy Liu 2017-08-15 09:26:06 UTC
Karbor spec: https://github.com/liujiong63/karbor-rdo-rpm/blob/master/openstack-karbor.spec

Description: To protect the Data and Metadata that comprises an OpenStack-deployed Application against loss/damage (e.g. backup, replication) by providing a standard framework of APIs and services that allows vendors to provide plugins through a unified interface

Comment 2 Matthias Runge 2017-08-16 08:48:07 UTC
you still have some SUSE paths in your install section. Please also consider to replace etc/ by %{_sysconfdir}

Comment 3 Jeremy Liu 2017-08-16 09:23:36 UTC
(In reply to Matthias Runge from comment #2)
> you still have some SUSE paths in your install section. Please also consider
> to replace etc/ by %{_sysconfdir}


Oops, I'm not so familiar with spec file, could you please point exactly which places should be changed? And shouldn't etc/ be a relative path to karbor source tree? Please correct me if I'm wrong. Thanks!

Comment 4 Alfredo Moralejo 2017-08-17 10:49:31 UTC
Output of licensecheck:

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitattributes: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./devstack/devstackgaterc: *No copyright* Apache (v2.0)
./devstack/local.conf.sample: *No copyright* UNKNOWN
./devstack/plugin.sh: *No copyright* UNKNOWN
./devstack/settings: *No copyright* UNKNOWN
./etc/api-paste.ini: *No copyright* UNKNOWN
./etc/policy.json: *No copyright* UNKNOWN
./karbor/__init__.py: *No copyright* Apache (v2.0)
./karbor/context.py: Apache (v2.0)
./karbor/exception.py: *No copyright* Apache (v2.0)
./karbor/i18n.py: *No copyright* Apache (v2.0)
./karbor/loadables.py: *No copyright* Apache (v2.0)
./karbor/manager.py: *No copyright* Apache (v2.0)
./karbor/policy.py: Apache (v2.0)
./karbor/resource.py: *No copyright* Apache (v2.0)
./karbor/rpc.py: *No copyright* Apache (v2.0)
./karbor/service.py: *No copyright* Apache (v2.0)
./karbor/utils.py: *No copyright* Apache (v2.0)
./karbor/version.py: Apache (v2.0)
./tools/install_venv.py: Apache (v2.0)
./tools/install_venv_common.py: Apache (v2.0)
./tools/with_venv.sh: *No copyright* UNKNOWN
./api-ref/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./api-ref/source/index.rst: *No copyright* UNKNOWN
./devstack/files/apache-karbor-api.template: *No copyright* UNKNOWN
./devstack/providers.d/eisoo.conf: *No copyright* UNKNOWN
./devstack/providers.d/openstack-fs-bank.conf: *No copyright* UNKNOWN
./devstack/providers.d/openstack-infra-volume-snapshot.conf: *No copyright* UNKNOWN
./devstack/providers.d/openstack-s3-bank.conf: *No copyright* UNKNOWN
./doc/images/3-tier-app.png: UNKNOWN
./doc/images/Karbor.png: UNKNOWN
./doc/images/KarborInPieces.png: UNKNOWN
./doc/images/api-service-class-diagram.png: UNKNOWN
./doc/images/available_protectables.svg: *No copyright* UNKNOWN
./doc/images/class_diagram.svg: *No copyright* UNKNOWN
./doc/images/high_level_architecture.png: UNKNOWN
./doc/images/karbor-api.png: UNKNOWN
./doc/images/pluggable_protection_provider.svg: *No copyright* UNKNOWN
./doc/images/protection_provider.png: UNKNOWN
./doc/images/resource_tree_architecture.png: UNKNOWN
./doc/source/api-service-class-diagram.pu: *No copyright* UNKNOWN
./doc/source/bank_plugins.rst: *No copyright* UNKNOWN
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/protectable_plugins.rst: *No copyright* UNKNOWN
./doc/source/protection_plugins.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./doc/source/releasenotes.rst: *No copyright* UNKNOWN
./etc/apache2/apache-karbor-api.conf: *No copyright* Apache (v2.0)
./etc/oslo-config-generator/karbor.conf: *No copyright* UNKNOWN
./etc/providers.d/noop.conf: *No copyright* UNKNOWN
./etc/providers.d/openstack-infra.conf: *No copyright* UNKNOWN
./karbor/api/common.py: *No copyright* Apache (v2.0)
./karbor/api/versions.py: *No copyright* Apache (v2.0)
./karbor/cmd/api.py: *No copyright* Apache (v2.0)
./karbor/cmd/manage.py: *No copyright* Apache (v2.0)
./karbor/cmd/operationengine.py: *No copyright* Apache (v2.0)
./karbor/cmd/protection.py: *No copyright* Apache (v2.0)
./karbor/common/config.py: *No copyright* Apache (v2.0)
./karbor/common/constants.py: *No copyright* Apache (v2.0)
./karbor/common/karbor_keystone_plugin.py: *No copyright* Apache (v2.0)
./karbor/common/opts.py: *No copyright* Apache (v2.0)
./karbor/db/__init__.py: *No copyright* Apache (v2.0)
./karbor/db/api.py: *No copyright* Apache (v2.0)
./karbor/db/base.py: *No copyright* Apache (v2.0)
./karbor/db/migration.py: *No copyright* Apache (v2.0)
./karbor/objects/__init__.py: *No copyright* Apache (v2.0)
./karbor/objects/base.py: *No copyright* Apache (v2.0)
./karbor/objects/checkpoint_record.py: *No copyright* Apache (v2.0)
./karbor/objects/operation_log.py: *No copyright* Apache (v2.0)
./karbor/objects/plan.py: *No copyright* Apache (v2.0)
./karbor/objects/restore.py: *No copyright* Apache (v2.0)
./karbor/objects/scheduled_operation.py: *No copyright* Apache (v2.0)
./karbor/objects/scheduled_operation_log.py: *No copyright* Apache (v2.0)
./karbor/objects/scheduled_operation_state.py: *No copyright* Apache (v2.0)
./karbor/objects/service.py: *No copyright* Apache (v2.0)
./karbor/objects/trigger.py: *No copyright* Apache (v2.0)
./karbor/tests/base.py: *No copyright* Apache (v2.0)
./karbor/tests/test_karbor.py: *No copyright* Apache (v2.0)
./karbor/wsgi/common.py: *No copyright* Apache (v2.0)
./karbor/wsgi/eventlet_server.py: *No copyright* Apache (v2.0)
./karbor/wsgi/wsgi.py: *No copyright* Apache (v2.0)
./releasenotes/notes/added-reno-releasenotes-ae36507a78246a50.yaml: *No copyright* UNKNOWN
./releasenotes/notes/fix-checkpoint-list-c0435fcbdf26858b.yaml: *No copyright* UNKNOWN
./releasenotes/notes/ical-rfc24445-b98313a8c3eefb62.yaml: *No copyright* UNKNOWN
./releasenotes/notes/protection-plugin-api-063fd84b1f37d8e2.yaml: *No copyright* UNKNOWN
./releasenotes/notes/protection-plugins-adjust-d228139bd2f19765.yaml: *No copyright* UNKNOWN
./releasenotes/notes/restore-auth-79cd504bc0cc3712.yaml: *No copyright* UNKNOWN
./releasenotes/notes/s3-bank-plugin-b55ca44739d492b0.yaml: *No copyright* UNKNOWN
./releasenotes/notes/use-oslo-config-generator-f2a9be9e71d90b1f.yaml: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/newton.rst: *No copyright* UNKNOWN
./releasenotes/source/pike.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./api-ref/source/v1/index.rst: *No copyright* UNKNOWN
./api-ref/source/v1/karbor-v1-checkpoints.inc: *No copyright* UNKNOWN
./api-ref/source/v1/karbor-v1-operation-logs.inc: *No copyright* UNKNOWN
./api-ref/source/v1/karbor-v1-plans.inc: *No copyright* UNKNOWN
./api-ref/source/v1/karbor-v1-protectables.inc: *No copyright* UNKNOWN
./api-ref/source/v1/karbor-v1-providers.inc: *No copyright* UNKNOWN
./api-ref/source/v1/karbor-v1-restores.inc: *No copyright* UNKNOWN
./api-ref/source/v1/karbor-v1-scheduled-operations.inc: *No copyright* UNKNOWN
./api-ref/source/v1/karbor-v1-triggers.inc: *No copyright* UNKNOWN
./api-ref/source/v1/parameters.yaml: *No copyright* UNKNOWN
./api-ref/source/v1/status.yaml: *No copyright* UNKNOWN
./doc/images/mascot/OpenStack_Project_Karbor_Horizontal.png: UNKNOWN
./doc/images/mascot/OpenStack_Project_Karbor_horizontal.eps: UNKNOWN
./doc/images/mascot/OpenStack_Project_Karbor_horizontal_1color.eps: UNKNOWN
./doc/images/mascot/OpenStack_Project_Karbor_mascot.png: UNKNOWN
./doc/images/mascot/OpenStack_Project_Karbor_mascot_small.png: UNKNOWN
./doc/images/mascot/OpenStack_Project_Karbor_vertical.eps: UNKNOWN
./doc/images/mascot/OpenStack_Project_Karbor_vertical.png: UNKNOWN
./doc/images/mascot/OpenStack_Project_Karbor_vertical_1color.eps: UNKNOWN
./doc/images/operation-engine/create_scheduled_operation_seq_diagram.png: GENERATED FILE
./doc/images/operation-engine/delete_scheduled_operation_seq_diagram.png: GENERATED FILE
./doc/images/operation-engine/operation_engine_architecture_diagram.png: UNKNOWN
./doc/images/operation-engine/operation_engine_class_diagram.png: GENERATED FILE
./doc/images/operation-engine/operation_state_diagram.png: GENERATED FILE
./doc/images/protection-service/class-diagram.png: GENERATED FILE
./doc/images/protection-service/class_diagram.png: GENERATED FILE
./doc/images/protection-service/hooks.png: UNKNOWN
./doc/images/protection-service/protect-rpc-call-seq-diagram.png: GENERATED FILE
./doc/images/protection-service/protection-architecture.png: UNKNOWN
./doc/images/protection-service/restore-processing-sequence-flow.png: UNKNOWN
./doc/source/admin/client.rst: *No copyright* UNKNOWN
./doc/source/admin/index.rst: *No copyright* UNKNOWN
./doc/source/admin/provider.rst: *No copyright* GENERATED FILE
./doc/source/configuration/index.rst: *No copyright* UNKNOWN
./doc/source/configuration/karbor.rst: *No copyright* UNKNOWN
./doc/source/contributor/architecture.rst: *No copyright* UNKNOWN
./doc/source/contributor/bank_plugins_guide.rst: *No copyright* UNKNOWN
./doc/source/contributor/devstack-installation.rst: *No copyright* UNKNOWN
./doc/source/contributor/index.rst: *No copyright* UNKNOWN
./doc/source/contributor/protectable_plugins_guide.rst: *No copyright* UNKNOWN
./doc/source/contributor/protection_plugins_guide.rst: *No copyright* UNKNOWN
./doc/source/install/common_configure.rst: *No copyright* UNKNOWN
./doc/source/install/common_prerequisites.rst: *No copyright* UNKNOWN
./doc/source/install/get_started.rst: *No copyright* UNKNOWN
./doc/source/install/index.rst: *No copyright* UNKNOWN
./doc/source/install/install-source.rst: *No copyright* UNKNOWN
./doc/source/install/install-ubuntu.rst: *No copyright* UNKNOWN
./doc/source/install/install.rst: *No copyright* UNKNOWN
./doc/source/install/launch-instance.rst: *No copyright* UNKNOWN
./doc/source/install/mod_wsgi.rst: *No copyright* CC by (v3.0)
./doc/source/install/next-steps.rst: *No copyright* UNKNOWN
./doc/source/install/verify.rst: *No copyright* UNKNOWN
./doc/source/specs/add-db-manage-purge.rst: *No copyright* CC by (v3.0)
./doc/source/specs/api-service.rst: *No copyright* CC by (v3.0)
./doc/source/specs/available_protectables.pu: *No copyright* UNKNOWN
./doc/source/specs/bank-plugin-lease.rst: *No copyright* CC by (v3.0)
./doc/source/specs/bank.md: *No copyright* UNKNOWN
./doc/source/specs/checkpoint-metadata.rst: *No copyright* CC by (v3.0)
./doc/source/specs/checkpoint-scheduled-clean.rst: *No copyright* CC by (v3.0)
./doc/source/specs/cinder-volume-snapshot-plugin.rst: *No copyright* CC by (v3.0)
./doc/source/specs/file-system-bank.rst: *No copyright* CC by (v3.0)
./doc/source/specs/index.rst: *No copyright* UNKNOWN
./doc/source/specs/instances-extra-info.rst: *No copyright* CC by (v3.0)
./doc/source/specs/instances-parameters.rst: *No copyright* CC by (v3.0)
./doc/source/specs/manila-share-snapshot-plugins.rst: *No copyright* CC by (v3.0)
./doc/source/specs/operation-log-api.rst: *No copyright* CC by (v3.0)
./doc/source/specs/pluggable_protection_provider.pu: *No copyright* UNKNOWN
./doc/source/specs/pluggable_protection_provider.rst: *No copyright* CC by (v3.0)
./doc/source/specs/refactor_clients.rst: *No copyright* CC by (v3.0)
./doc/source/specs/remove_heat.rst: *No copyright* CC by (v3.0)
./doc/source/specs/restore-resource-status.rst: *No copyright* CC by (v3.0)
./doc/source/specs/s3-bank.rst: *No copyright* CC by (v3.0)
./doc/source/specs/skeleton.rst: *No copyright* CC by (v3.0)
./doc/source/specs/template.rst: *No copyright* CC by (v3.0)
./doc/source/specs/trove-database-backup-plugins.rst: *No copyright* CC by (v3.0)
./karbor/api/middleware/auth.py: Apache (v2.0)
./karbor/api/middleware/fault.py: *No copyright* Apache (v2.0)
./karbor/api/openstack/__init__.py: Apache (v2.0)
./karbor/api/openstack/wsgi.py: *No copyright* Apache (v2.0)
./karbor/api/v1/operation_logs.py: *No copyright* Apache (v2.0)
./karbor/api/v1/plans.py: *No copyright* Apache (v2.0)
./karbor/api/v1/protectables.py: *No copyright* Apache (v2.0)
./karbor/api/v1/providers.py: *No copyright* Apache (v2.0)
./karbor/api/v1/restores.py: *No copyright* Apache (v2.0)
./karbor/api/v1/router.py: *No copyright* Apache (v2.0)
./karbor/api/v1/scheduled_operations.py: *No copyright* Apache (v2.0)
./karbor/api/v1/triggers.py: *No copyright* Apache (v2.0)
./karbor/db/sqlalchemy/api.py: *No copyright* Apache (v2.0)
./karbor/db/sqlalchemy/models.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/api.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/karbor_client.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/manager.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/operation_manager.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/rpcapi.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/user_trust_manager.py: *No copyright* Apache (v2.0)
./karbor/services/protection/api.py: *No copyright* Apache (v2.0)
./karbor/services/protection/bank_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/checkpoint.py: *No copyright* Apache (v2.0)
./karbor/services/protection/client_factory.py: *No copyright* Apache (v2.0)
./karbor/services/protection/graph.py: *No copyright* Apache (v2.0)
./karbor/services/protection/manager.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protectable_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protectable_registry.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/provider.py: *No copyright* Apache (v2.0)
./karbor/services/protection/resource_flow.py: *No copyright* Apache (v2.0)
./karbor/services/protection/rpcapi.py: Apache (v2.0)
./karbor/tests/contrib/gate_hook.sh: *No copyright* UNKNOWN
./karbor/tests/contrib/post_test_hook.sh: *No copyright* UNKNOWN
./karbor/tests/fullstack/karbor_base.py: *No copyright* Apache (v2.0)
./karbor/tests/fullstack/karbor_objects.py: *No copyright* Apache (v2.0)
./karbor/tests/fullstack/test_checkpoints.py: *No copyright* Apache (v2.0)
./karbor/tests/fullstack/test_plans.py: *No copyright* Apache (v2.0)
./karbor/tests/fullstack/test_protectables.py: *No copyright* Apache (v2.0)
./karbor/tests/fullstack/test_providers.py: *No copyright* Apache (v2.0)
./karbor/tests/fullstack/test_restores.py: *No copyright* Apache (v2.0)
./karbor/tests/fullstack/test_scheduled_operations.py: *No copyright* Apache (v2.0)
./karbor/tests/fullstack/test_triggers.py: *No copyright* Apache (v2.0)
./karbor/tests/fullstack/utils.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/__init__.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/conf_fixture.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/fake_bank.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/fake_operation_log.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/fake_plan.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/fake_restore.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/fake_service.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/policy.json: *No copyright* UNKNOWN
./karbor/tests/unit/test_cmd.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/test_context.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/test_exception.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/test_service.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/test_utils.py: *No copyright* Apache (v2.0)
./api-ref/source/v1/samples/checkpoint-create-request.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/checkpoint-create-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/checkpoint-delete-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/checkpoints-list-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/operation-log-show-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/operation-logs-list-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/plan-create-request.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/plan-create-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/plan-update-request.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/plan-update-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/plans-list-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/protectable-instance-show-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/protectable-instances-list-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/protectable-show-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/protectables-list-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/provider-show-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/providers-list-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/restore-create-request.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/restore-create-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/restores-list-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/scheduled-operation-create-request.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/scheduled-operation-create-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/scheduled-operations-list-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/trigger-create-request.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/trigger-create-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/trigger-update-request.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/trigger-update-response.json: *No copyright* UNKNOWN
./api-ref/source/v1/samples/triggers-list-response.json: *No copyright* UNKNOWN
./doc/source/contributor/devref/index.rst: *No copyright* UNKNOWN
./doc/source/specs/api/api_examples.md: *No copyright* UNKNOWN
./doc/source/specs/api/class_diagram.pu: *No copyright* UNKNOWN
./doc/source/specs/api/karbor_api.v1.yaml: *No copyright* UNKNOWN
./doc/source/specs/operation-engine/create_scheduled_operation_seq_diagram.pu: *No copyright* UNKNOWN
./doc/source/specs/operation-engine/delete_scheduled_operation_seq_diagram.pu: *No copyright* UNKNOWN
./doc/source/specs/operation-engine/operation_engine_class_diagram.pu: *No copyright* UNKNOWN
./doc/source/specs/operation-engine/operation_engine_design.rst: *No copyright* CC by (v3.0)
./doc/source/specs/operation-engine/operation_state_diagram.pu: *No copyright* UNKNOWN
./doc/source/specs/protection-service/activities-links.svg: *No copyright* UNKNOWN
./doc/source/specs/protection-service/class-diagram.pu: *No copyright* UNKNOWN
./doc/source/specs/protection-service/class_diagram.pu: *No copyright* UNKNOWN
./doc/source/specs/protection-service/protect-rpc-call-seq-diagram.pu: *No copyright* UNKNOWN
./doc/source/specs/protection-service/protection-service.rst: *No copyright* CC by (v3.0)
./doc/source/specs/protection-service/restore-design-spec.rst: *No copyright* CC by (v3.0)
./karbor/db/sqlalchemy/migrate_repo/README: *No copyright* UNKNOWN
./karbor/db/sqlalchemy/migrate_repo/manage.py: *No copyright* Apache (v2.0)
./karbor/db/sqlalchemy/migrate_repo/migrate.cfg: *No copyright* UNKNOWN
./karbor/services/operationengine/operations/__init__.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/operations/base.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/operations/protect_operation.py: *No copyright* Apache (v2.0)
./karbor/services/protection/bank_plugins/file_system_bank_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/bank_plugins/s3_bank_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/bank_plugins/swift_bank_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/clients/cinder.py: *No copyright* Apache (v2.0)
./karbor/services/protection/clients/eisoo.py: *No copyright* Apache (v2.0)
./karbor/services/protection/clients/glance.py: *No copyright* Apache (v2.0)
./karbor/services/protection/clients/manila.py: *No copyright* Apache (v2.0)
./karbor/services/protection/clients/neutron.py: *No copyright* Apache (v2.0)
./karbor/services/protection/clients/nova.py: *No copyright* Apache (v2.0)
./karbor/services/protection/clients/s3.py: *No copyright* Apache (v2.0)
./karbor/services/protection/clients/swift.py: *No copyright* Apache (v2.0)
./karbor/services/protection/clients/trove.py: *No copyright* Apache (v2.0)
./karbor/services/protection/clients/utils.py: *No copyright* Apache (v2.0)
./karbor/services/protection/flows/delete.py: *No copyright* Apache (v2.0)
./karbor/services/protection/flows/protect.py: *No copyright* Apache (v2.0)
./karbor/services/protection/flows/restore.py: *No copyright* Apache (v2.0)
./karbor/services/protection/flows/utils.py: *No copyright* Apache (v2.0)
./karbor/services/protection/flows/worker.py: *No copyright* Apache (v2.0)
./karbor/services/protection/flows/workflow.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protectable_plugins/database.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protectable_plugins/image.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protectable_plugins/network.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protectable_plugins/project.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protectable_plugins/server.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protectable_plugins/share.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protectable_plugins/volume.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/noop_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/utils.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/api/fakes.py: Apache (v2.0)
./karbor/tests/unit/api/test_common.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/clients/test_cinder_client.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/clients/test_eisoo.py: Apache (v2.0)
./karbor/tests/unit/clients/test_glance_client.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/clients/test_manila_client.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/clients/test_neutron_client.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/clients/test_nova_client.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/clients/test_swift_client.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/clients/test_trove_client.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/clients/test_utils.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/db/test_models.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/db/test_purge.py: Apache (v2.0)
./karbor/tests/unit/fake_providers/fake_provider1.conf: *No copyright* UNKNOWN
./karbor/tests/unit/fake_providers/fake_provider2.conf: *No copyright* UNKNOWN
./karbor/tests/unit/objects/__init__.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/objects/test_base.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/objects/test_checkpoint_record.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/objects/test_operation_log.py: Apache (v2.0)
./karbor/tests/unit/objects/test_plan.py: Apache (v2.0)
./karbor/tests/unit/objects/test_restore.py: Apache (v2.0)
./karbor/tests/unit/objects/test_scheduled_operation.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/objects/test_scheduled_operation_log.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/objects/test_scheduled_operation_state.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/objects/test_service.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/objects/test_trigger.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/operationengine/test_karbor_client.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/operationengine/test_manager.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/operationengine/test_operation_manager.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/operationengine/test_user_trust_manager.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/plugins/test_database_protectable_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/plugins/test_image_protectable_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/plugins/test_network_protectable_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/plugins/test_server_protectable_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/plugins/test_share_protectable_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/plugins/test_volume_protectable_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/fake_clients.py: Apache (v2.0)
./karbor/tests/unit/protection/fake_s3_client.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/fake_swift_client.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/fakes.py: Apache (v2.0)
./karbor/tests/unit/protection/test_bank.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_checkpoint.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_checkpoint_collection.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_cinder_protection_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_cinder_snapshot_protection_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_database_protection_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_file_system_bank_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_glance_protection_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_graph.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_manager.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_manila_protection_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_neutron_protection_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_nova_protection_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_protectable.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_provider.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_resource_flow.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_s3_bank_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_swift_bank_plugin.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/protection/test_workflow.py: *No copyright* Apache (v2.0)
./karbor/db/sqlalchemy/migrate_repo/versions/001_karbor_init.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/engine/executors/base.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/engine/executors/green_thread_executor.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/engine/executors/scheduled_operation_executor.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/engine/executors/thread_pool_executor.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/engine/triggers/__init__.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/engine/triggers/trigger_manager.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/database/database_backup_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/database/database_backup_plugin_schemas.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/image/image_plugin_schemas.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/image/image_protection_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/network/network_plugin_schemas.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/network/neutron_protection_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/server/nova_protection_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/server/server_plugin_schemas.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/share/share_snapshot_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/share/share_snapshot_plugin_schemas.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/volume/cinder_protection_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/volume/volume_plugin_cinder_schemas.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/volume/volume_snapshot_plugin.py: *No copyright* Apache (v2.0)
./karbor/services/protection/protection_plugins/volume/volume_snapshot_plugin_schemas.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/api/middleware/test_auth.py: Apache (v2.0)
./karbor/tests/unit/api/openstack/test_wsgi.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/api/v1/test_operation_logs.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/api/v1/test_plans.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/api/v1/test_protectables.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/api/v1/test_providers.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/api/v1/test_restores.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/api/v1/test_router.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/api/v1/test_scheduled_operation.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/api/v1/test_triggers.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/operationengine/operations/test_protect_operation.py: *No copyright* Apache (v2.0)
./releasenotes/source/locale/ko_KR/LC_MESSAGES/releasenotes.po: UNKNOWN
./karbor/services/operationengine/engine/triggers/timetrigger/time_trigger.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/operationengine/engine/executors/test_green_thread_executor.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/operationengine/engine/executors/test_thread_pool_executor.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/operationengine/engine/triggers/test_trigger_manager.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/engine/triggers/timetrigger/timeformats/__init__.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/engine/triggers/timetrigger/timeformats/calendar_time.py: *No copyright* Apache (v2.0)
./karbor/services/operationengine/engine/triggers/timetrigger/timeformats/crontab_time.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/operationengine/engine/triggers/timetrigger/test_time_trigger.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/operationengine/engine/triggers/timetrigger/timeformats/test_calendar_time.py: *No copyright* Apache (v2.0)
./karbor/tests/unit/operationengine/engine/triggers/timetrigger/timeformats/test_crontab_time.py: *No copyright* Apache (v2.0)


Main license is Apache Software License v2.0 although some documentation has creative commons header. If that documentation is included in the packages you may need to follow guidelines for multiple license in https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios

Comment 5 Alan Pevec 2018-07-04 00:54:18 UTC
https://github.com/openstack/karbor is licensed as Apache-2.0 so those docs with "CC by" needs to be raised upstream or are those licenses compatible??

Comment 6 Matthias Runge 2018-07-04 08:16:18 UTC
(In reply to Alan Pevec from comment #5)
> https://github.com/openstack/karbor is licensed as Apache-2.0 so those docs
> with "CC by" needs to be raised upstream or are those licenses compatible??

That should be a question for legal, I guess.

An overview is here, but it doesn't explicitly answer that question.

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Documentation_Licenses

Comment 7 Haïkel Guémar 2018-07-05 09:18:53 UTC
According Apache Foundation, CC-By is compatible with ASL 2.0 in binary form only
=> https://www.apache.org/legal/resolved.html#category-b

Here, documentation is in source form and it may infringe OpenStack Foundation licensing rules so it should be raised.

As for downstream packaging, CC-By is acceptable.
https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses_2


Note You need to log in before you can comment on or make changes to this bug.